com.dlsc.flexgantt.swing.action.layer

## Class ClearHighlightedTimelineObjectsAction

- java.lang.Object
- - javax.swing.AbstractAction
  - - com.dlsc.flexgantt.swing.action.AbstractFlexGanttAction
    - - com.dlsc.flexgantt.swing.action.layer.AbstractLayerContainerAction
      - - com.dlsc.flexgantt.swing.action.layer.ClearHighlightedTimelineObjectsAction

- All Implemented Interfaces:
    ActionListener, Serializable, Cloneable, EventListener, Action

      public class ClearHighlightedTimelineObjectsAction
      extends AbstractLayerContainerAction

  An action which clears the set of highlighted objects.
  Since:
    1.0
  Version:
    $Revision: 1.3 $
  Author:
    Dirk Lemmermann
  See Also:
    `LayerContainer.clearHighlightedObjects()`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.dlsc.flexgantt.swing.action.layer.AbstractLayerContainerAction

      `layerContainer`

    - ### Fields inherited from class javax.swing.AbstractAction

      `changeSupport, enabled`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClearHighlightedTimelineObjectsAction(LayerContainer lc)` Constructs a new action.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(ActionEvent evt)`

    - ### Methods inherited from class com.dlsc.flexgantt.swing.action.layer.AbstractLayerContainerAction

      `getLayerContainer, setLayerContainer`

    - ### Methods inherited from class com.dlsc.flexgantt.swing.action.AbstractFlexGanttAction

      `getToolTipText, setToolTipText`

    - ### Methods inherited from class javax.swing.AbstractAction

      `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClearHighlightedTimelineObjectsAction

          public ClearHighlightedTimelineObjectsAction(LayerContainer lc)

      Constructs a new action.
      Parameters:
        `lc` - the layer container on which to invoke the action
      Since:
        1.0

  - ### Method Detail

    - #### actionPerformed

          public void actionPerformed(ActionEvent evt)

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.